<?php

namespace OCA\UPschooling\Db;

use JsonSerializable;
use OCP\AppFramework\Db\Entity;

class MatrixUser extends Entity implements JsonSerializable {
	protected $userId;
	protected $matrixUser;
	protected $matrixToken;

	public function jsonSerialize(): array {
		return [
			'id' => $this->id,
            'userId' => $this->userId,
            'matrixUser' => $this->matrixUser,
            'matrixToken' => $this->matrixToken,
		];
	}
}
